U++ - Bug #1948
GridCtrl causing wanrings with -Wall flag
04/03/2019 08:45 PM - Zbigniew Rebacz

Status: Approved Start date: 04/03/2019
Priority: Normal Due date:

Assignee: Zbigniew Rebacz % Done: 0%
Category: GridCitrl Estimated time: 0.00 hour
Target version: Release 2019.1 - NTH Spent time: 0.00 hour
Description

Here is the compilation warnings (not too much):

/home/klugier/upp/uppsrc/GridCtrl/GridCtrl.cpp
/home/klugier/upp/uppsrc/GridCtrl/GridCtrl.cpp
/home/klugier/upp/uppsrc/GridCtrl/GridCtrl.cpp
/home/klugier/upp/uppsrc/GridCtrl/GridCtrl.cpp
/home/klugier/upp/uppsrc/GridCtrl/GridCtrl.cpp
/home/klugier/upp/uppsrc/GridCtrl/GridCtrl.cpp

1094): warning: this ‘while’ clause does not guard... [-Wmisleading-indentation]

1095): warning: this ‘while’ clause does not guard... [-Wmisleading-indentation]

2625): warning: this ‘while’ clause does not guard... [-Wmisleading-indentation]

2630): warning: this ‘while’ clause does not guard... [-Wmisleading-indentation]

4407): warning: this ‘while’ clause does not guard... [-Wmisleading-indentation]
):

—~ o~ o~ o~ o~ —~

4409): warning: this ‘while’ clause does not guard... [-Wmisleading-indentation]

History

#1 - 04/05/2019 06:52 PM - Miroslav Fidler
- Status changed from New to Ready for QA
- Assignee changed from Miroslav Fidler to Zbigniew Rebacz

#2 - 04/06/2019 07:39 PM - Zbigniew Rebacz
- Status changed from Ready for QA to Approved
